0

I installed QGIS via OSGEO4W 3 years ago. I've been quite happy using the same LTR since that time. I'd like to upgrade to the latest LTR (3.28) but the setup mechanism does not make it available. Is there some sort of 'update the options available' button/procedure? Its as if the setup is not aware that changes have happened since 2020.screenshot of setup

1
  • 1
    You should see what is available by clicking the "Keep" symbol. Version 3.28.15-1 shows for me.
    – user30184
    Commented Feb 1 at 12:53

1 Answer 1

2

You had very likely installed QGIS 3.16 three years ago using the then available OSGeo4W Network Installer v1. Such installer used a no longer updated repository.

You need to download the new OSGeo4W Installer and use it in order to install the currently supported QGIS versions in a new folder.

2
  • Just to clarify. I need to install the new OSGEOW installer into a NEW folder. Not upgrade over the EXISTING folder?
    – IanGS
    Commented Feb 1 at 14:05
  • 3
    Yes, exactly. You need to use the new OSGeo4W Installer (which uses the new repository) and install QGIS in a folder different from the one in which QGIS 3.16 (installed using the previous installer) is currently installed. "Upgrades of old setups using the new repository are not supported. You need to do a fresh install or use a different directory." web.archive.org/web/20220201071242/https://qgis.org/en/site/… Commented Feb 1 at 14:15

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.